Skip to main content
Template Management

List Templates

List templates in the current workspace

GET
/api/v1/agentstudio/sandbox/v2/templates
cURL
curl --request GET \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/sandbox/v2/templates' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
[
  {
    "templateID": "<string>",
    "templateName": "<string>",
    "cpuCount": 0,
    "memoryMB": 0,
    "public": false,
    "aliases": [
      "<string>"
    ],
    "names": [
      "<string>"
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "spawnCount": 0,
    "buildCount": 0,
    "envdVersion": "<string>"
  }
]

Authorizations

string
header
required

Query Parameters

integer
default100

单页条数,默认 100,最大 100

x <= 100
string

分页位置标识

Response

200-application/json
string

模版 ID

string

模版名称

integer

vCPU 数量

integer

内存大小,单位 MB

boolean

是否公开

string[]

别名列表

string[]

模版名称列表

string

创建时间

string

更新时间

integer

当前模版实例数量

integer

模版版本数量

string

envd 版本

Overview
Managed Agent API
Memory API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview